package com.hai.etc;

import com.hai.entity.BlxCarInfo;
import com.hai.entity.EtcCarMsg;
import com.hai.entity.EtcCustMsg;

import java.util.List;
import java.util.Map;

/**
 * @serviceName .java
 * @author Sum1Dream
 * @version 1.0.0
 * @Description // etc业务
 * @createTime 15:15 2024/3/22
 **/
public interface EtcCarMsgService {

    /**
     * @Author Sum1Dream
     * @Name insertCar
     * @Description // 新增车辆信息
     * @Date 11:29 2023/9/5
     * @Param carInfo
     * @return void
     */
    void insertEtcCar(EtcCarMsg etcCarMsg) throws Exception;

    /**
     * @Author Sum1Dream
     * @Name updateCar
     * @Description // 更新车辆信息
     * @Date 11:29 2023/9/5
     * @Param carInfo
     * @return void
     */
    void updateEtcCar(EtcCarMsg etcCarMsg);

    /**
     * @Author Sum1Dream
     * @Name getCarInfoList
     * @Description // 查询车辆信息列表
     * @Date 11:30 2023/9/5
     * @Param map
     * @return java.util.List<com.hai.entity.BlxCarInfo>
     */
    List<EtcCarMsg> getEtcCarList(Map<String , Object> map);

    /**
     * @Author Sum1Dream
     * @Name findCarInfoByMap
     * @Description //TODO
     * @Date 14:14 2023/9/5
     * @Param map
     * @return com.hai.entity.BlxCarInfo
     */
    EtcCarMsg findEtcCarByMap(Map<String , Object> map);

    /**
     * @Author Sum1Dream
     * @Name findCarInfoById
     * @Description // 根据ID查询详情
     * @Date 15:13 2023/9/5
     * @Param id
     * @return com.hai.entity.BlxCarInfo
     */
    EtcCarMsg findEtcCarById(Long id);




}
