package com.hai.etc.impl;

import com.alibaba.fastjson.JSONObject;
import com.hai.config.EtcService;
import com.hai.dao.EtcCarMsgMapper;
import com.hai.entity.EtcCarMsg;
import com.hai.entity.EtcCarMsgExample;
import com.hai.entity.EtcCustMsg;
import com.hai.entity.EtcCustMsgExample;
import com.hai.etc.EtcCarMsgService;
import org.apache.commons.collections4.MapUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;
import java.util.Map;

@Service("etcCarMsgService")
public class EtcCarMsgServiceImpl implements EtcCarMsgService {

    @Resource
    private EtcCarMsgMapper etcCarMsgMapper;

    @Override
    public void insertEtcCar(EtcCarMsg etcCarMsg) throws Exception {
        // 提交车辆审核
        JSONObject jsonObject = EtcService.submitVehInfo(etcCarMsg);
        if (jsonObject.getString("errCode").equals("0")) {
            JSONObject object = (JSONObject) jsonObject.getJSONArray("result").get(0);
            etcCarMsg.setVehId(object.getString("custId"));

            JSONObject car = EtcService.getVehStatus(etcCarMsg);
            if (car.getString("errCode").equals("0")) {
                etcCarMsg.setVehStatus(car.getJSONObject("result").getInteger("vehStatus"));
                etcCarMsg.setPayStatus(car.getJSONObject("result").getInteger("payStatus"));
                etcCarMsg.setSignStatus(car.getJSONObject("result").getInteger("signStatus"));
                etcCarMsg.setExt2(car.getJSONObject("result").getString("docException"));
            }
            etcCarMsg.setExt3(car.getString("errMsg"));

        }
        etcCarMsg.setExt1(jsonObject.getString("errMsg"));
        etcCarMsgMapper.insert(etcCarMsg);
    }

    @Override
    public void updateEtcCar(EtcCarMsg etcCarMsg) {
       etcCarMsgMapper.updateByPrimaryKey(etcCarMsg);

    }

    @Override
    public List<EtcCarMsg> getEtcCarList(Map<String, Object> map) {
        EtcCarMsgExample example = new EtcCarMsgExample();
        EtcCarMsgExample.Criteria criteria = example.createCriteria();

        if (MapUtils.getLong(map , "userId") != null) {
            criteria.andUserIdEqualTo(MapUtils.getLong(map , "userId"));
        }
        if (MapUtils.getString(map , "vehPlateNo") != null) {
            criteria.andVehPlateNoEqualTo(MapUtils.getString(map , "vehPlateNo"));
        }

        return etcCarMsgMapper.selectByExample(example);
    }

    @Override
    public EtcCarMsg findEtcCarByMap(Map<String, Object> map) {

        EtcCustMsgExample example = new EtcCustMsgExample();
        EtcCustMsgExample.Criteria criteria = example.createCriteria();

        return null;
    }

    @Override
    public EtcCarMsg findEtcCarById(Long id) {
        return etcCarMsgMapper.selectByPrimaryKey(id);
    }
}
